import java.applet.Applet;

public class Test extends Applet {

	protected static final long DEFAULT_DURATION = 10000;

	protected static final String DURATION_PARAM = "duration";

	public String doSomething(String name) {
		try {
			long duration = getDuration();
			debug("applet about to sleep for " + duration + " ms.");
			Thread.sleep(duration);
			debug("applet after sleep.");
		} catch (InterruptedException ex) {
			ex.printStackTrace();
		}
		return "Output String";
	}

	protected long getDuration() {
		long duration = DEFAULT_DURATION;
		String durationStr = getParameter(DURATION_PARAM);
		if (durationStr != null) {
			try {
				duration = Long.parseLong(durationStr);
			} catch (Throwable th) {
				th.printStackTrace();
			}
		}
		return duration;
	}

	@Override
	public void init() {
		debug("applet init.");
		super.init();
	}

	@Override
	public void start() {
		debug("applet start.");
		super.start();
	}

	@Override
	public void stop() {
		debug("applet stop.");
		super.stop();
	}

	@Override
	public void destroy() {
		debug("applet destroy.");
		super.destroy();
	}

	protected void debug(String s) {
		System.out.println(s);
	}
}
